petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatProductSymbolic

Perform the symbolic portion of a matrix product, this creates a data structure for use with the numerical produce.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatProductSymbolic(Mat mat)

Collective on Mat

### Input/Output Parameter

| mat | - the matrix to hold a product

Notes: MatProductSetFromOptions() must have been called on mat before calling this function

### See Also

MatProductCreate(), MatProductCreateWithMat(), MatProductSetFromOptions(), MatProductNumeric(), MatProductSetType(), MatProductSetAlgorithm()

### Level

intermediate

### Location

src/mat/interface/matproduct.c

### Examples

src/tao/pde_constrained/tutorials/parabolic.c.html

### Implementations

MatProductSymbolic_MPIAIJBACKEND in src/mat/impls/aij/mpi/mpiaij.c
MatProductSymbolic_HARA in src/mat/impls/hara/mathara.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages